.welcome-list {
  &__header {
    height: 100%;
    width: 100%;
    &__background {
      position: absolute;
      z-index: 20;
      width: 100%;
      height: 100%;
      display: block;
      height: calc(850px);
      @include themify($themes) {
        background: linear-gradient(45deg, themed('mainDark'), themed('main'));
      }
      @include mq-down(md) {
        height: calc(900px);
      };
      &::before{
        transform: scale(-1, 1);
        content:"";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 180px 0 0 100vw;
        @include themify($themes) {
          border-color: transparent transparent transparent themed('background');
        }
        @include mq-down(md) {
          border-width: 100px 0 0 100vw;
        };
      }
    }
    &__foreground {
      position: relative;
      z-index: 30;
      word-wrap: break-word;
      white-space: pre-wrap;
      width: calc(100% - 80px);
      max-width: 1400px;
      margin: 0 auto;
      padding: 100px 0;
      text-align: center;
      @include mq-down(md) {
        width: calc(100% - 40px);
      };
      &-left {
        display: inline-block;
        vertical-align: middle;
        width: 50%;
        position: relative;
        @include mq-down(md) {
          width: 100%;
        };
        &__title {
          word-wrap: break-word;
          white-space: pre-wrap;
          min-height: 32px;
          margin-bottom: 24px;
          text-align: left;
          @include FS(XL);
          @include LH(M);
          @include FM(B);
          @include themify($themes) {
            color: themed('string');
          }
          @include mq-down(xl) {
            @include FS(L);
            @include LH(M);
          };
          @include mq-down(md) {
            text-align: center;
          };
        }
        &__desc {
          word-wrap: break-word;
          white-space: pre-wrap;
          min-height: 32px;
          margin: 0 auto;
          text-align: left;
          @include FS(S);
          @include LH(S);
          @include FM(L);
          @include themify($themes) {
            color: themed('string');
          }
          @include mq-down(xl) {
            @include FS(FS);
            @include LH(FS);
          };
        }
        &__ios-button {
          width: 210px;
          height: 77px;
          margin: 12px 0;
          margin-top: 24px;
          @include mq-down(md) {
            max-width: none;
            margin: 20px auto;
            margin-top: 40px;
          };
        }
        &__start-button {
          width: 100%;
          height: 54px;
          margin: 12px 0;
          margin-top: 24px;
          max-width: 360px;
          @include mq-down(md) {
            max-width: none;
            margin: 20px 0;
            margin-top: 40px;
          };
        }
        &__download-button {
          height: 44px;
          margin: 12px 0;
          width: 100%;
          max-width: 360px;
          @include default-link();
          text-align: center;
          text-decoration: underline !important;
          @include FS('FM');
          display: block;
          @include themify($themes) {
            color: themed('string');
          }
          @include mq-down(md) {
            max-width: none;
          };
        }
      }
      &-right {
        display: inline-block;
        vertical-align: middle;
        width: 50%;
        height: 700px;
        position: relative;
        @include mq-down(xxl) {
          height: 620px;
        };
        @include mq-down(md) {
          width: 100%;
          height: 640px;
        };
        &__cards {
          width: 400px;
          height: 100%;
          position: relative;
          margin-left: 100px;
          @include mq-down(xxl) {
            width: 350px;
            margin-left: 40px;
          };
          @include mq-down(xl) {
            width: 330px;
            margin-left: 30px;
          };
          @include mq-down(md) {
            max-width: 400px;
            width: calc(100% - 20px);
            margin: 40px auto;
          };
        }
        &__card {
          overflow: hidden;
          width: 100%;
          margin: 0 auto;
          height: 100%;
          border-radius: 20px;
          float: right;
          position: absolute;
          top: 0px;
          right: 0px;
          z-index: 20;
          @include themify($themes) {
            box-shadow: 4px 4px 4px 4px themed('shadow');
            background: themed('backgroundLight');
          }
        }
        &__card1 {
          position: absolute;
          top: 20px;
          right: -20px;
          width: calc(100px);
          height: calc(100% - 40px);
          border-radius: 20px;
          z-index: 19;
          opacity: .8;
          @include themify($themes) {
            box-shadow: 0px 0px 4px 4px themed('shadow');
            background: themed('backgroundLight');
          }
          @include mq-down(lg) {
            display: none;
          };
          @include mq-down(md) {
            display: block;
          };
          @include mq-down(fm) {
            display: none;
          };
        }
        &__card2 {
          position: absolute;
          top: 40px;
          right: -40px;
          width: calc(100px);
          height: calc(100% - 40px - 40px);
          border-radius: 20px;
          z-index: 18;
          opacity: .6;
          @include themify($themes) {
            box-shadow: 0px 0px 4px 4px themed('shadow');
            background: themed('backgroundLight');
          }
          @include mq-down(lg) {
            display: none;
          };
          @include mq-down(md) {
            display: block;
          };
          @include mq-down(fm) {
            display: none;
          };
        }
      }
    }
  }
  &__function {
    &-title {
      word-wrap: break-word;
      white-space: pre-wrap;
      min-height: 32px;
      width: 90%;
      margin: 44px auto;
      margin-bottom: 0;
      text-align: center;
      @include FS(M);
      @include LH(M);
      @include FM(B);
      @include themify($themes) {
        color: themed('base');
      }
      @include mq-down(md) {
        @include FS(FM);
        @include LH(FM);
      };
    }
    &-desc {
      word-wrap: break-word;
      white-space: pre-wrap;
      min-height: 32px;
      width: 90%;
      margin: 0 auto;
      text-align: center;
      @include FS(FM);
      @include LH(FM);
      @include FM(FM);
      @include themify($themes) {
        color: themed('backgroundContrastLight');
      }
      @include mq-down(md) {
        @include FS(S);
        @include LH(S);
      };
    }
    &-image {
      display: block;
      width: 720px;
      margin: 32px auto;
      @include mq-down(md) {
        width: 90%;
      };
    }
    &-items {
      width: 80%;
      margin: 44px auto;
      @include mq-down(xl) {
        width: 100%;
      };
    }
    &-item {
      margin: 120px 0;
      @include mq-down(sm) {
        margin: 32px 0;
      };
    }
    &-button {
      max-width: 500px;
      width: 90%;
      height: 44px;
      margin: 0px auto;
      margin-top: 12px;
      @include mq-down(md) {
        max-width: 300px;
      };
    }
  }
  &__finally {
    position: relative;
    width: 100%;
    padding-bottom: 80px;
    height: 100%;
    line-height: 100%;
    &::before{
      transform: scale(-1, 1);
      content:"";
      position: absolute;
      bottom: 0;
      right: 0;
      width: 0;
      height: 0;
      border-style: solid;
      border-width: 30vh 0 0 60vw ;
      @include themify($themes) {
        border-color: transparent transparent transparent themed('mainDark');
      }
    }
    &__inner {
      position: relative;
      max-width: 1400px;
      margin: 0 auto;
    }
    &-right {
      display: inline-block;
      vertical-align: middle;
      width: 50%;
      position: relative;
      padding-left: 80px;
      @include mq-down(lg) {
        width: calc(100% - 20px);
        margin: 0px auto;
        display: block;
        padding-left: 0;
        max-width: 600px;
      };
      &__logo {
        height: 100px;
        position: relative;
        @include mq-down(lg) {
          margin: 0 auto;
          display: block;
        };
        padding-bottom: 40px;
      }
      &__title {
        word-wrap: break-word;
        white-space: pre-wrap;
        min-height: 32px;
        margin-bottom: 24px;
        text-align: left;
        @include FS(XL);
        @include LH(M);
        @include FM(B);
        @include themify($themes) {
          color: themed('string');
        }
        @include mq-down(xxl) {
          @include FS(M);
        };
        @include mq-down(lg) {
          text-align: center;
          @include FS(M);
          margin: 0 20px;
          margin-bottom: 24px;
        };
      }
      &__desc {
        word-wrap: break-word;
        white-space: pre-wrap;
        min-height: 32px;
        margin: 0 auto;
        text-align: left;
        @include FS(S);
        @include LH(S);
        @include FM(L);
        @include themify($themes) {
          color: themed('string');
        }
      }
      &__ios-button {
        width: 210px;
        height: 77px;
        margin-bottom: 30px;
        margin-top: 30px;
        @include mq-down(lg) {
          margin: 30px auto;
        };
      }
      &__start-button {
        width: 100%;
        height: 54px;
        margin-bottom: 30px;
        margin-top: 30px;
        max-width: 360px;
        @include mq-down(lg) {
          width: 100%;
          max-width: none;
        };
      }
      &__download-button {
        height: 44px;
        margin: 12px 0;
        width: 100%;
        max-width: 360px;
        @include default-link();
        text-align: center;
        text-decoration: underline !important;
        @include FS('FM');
        display: block;
        @include themify($themes) {
          color: themed('string');
        }
        @include mq-down(lg) {
          width: 100%;
          max-width: none;
        };
      }
    }
    &-left {
      width: calc(50% - 160px);
      position: relative;
      height: 100%;
      display: inline-block;
      vertical-align: middle;
      &__image {
        width: 100%;
        position: relative;
        margin-left: 40px;
      }
      @include mq-down(lg) {
        display: none;
      };
    }
  }
  &__card {
    width: 100%;
    height: 100%;
    &-name {
      width: 100%;
      height: 60px;
      padding: 20px 20px;
      text-align: center;
      @include FS('S');
      @include FM('L');
      @include themify($themes) {
        color: themed('string');
        background: themed('backgroundThick');
      }
    }
    &-video {
      width: 100%;
      height: 200px;
    }
    &-indicator {
      height: 32px;
      width: 100%;
    }
    &-items {
      width: 100%;
      height: calc(100% - 292px);
      pointer-events: none;
      &__inner {
        width: 100%;
        height: calc(100%);
        overflow-y: scroll;
        padding-right: 17px;
        box-sizing: content-box;
      }
    }
    &-item {
      padding: 6px 20px;
      &__left {
        float: left;
        padding: 4px 0;
        padding-right: 8px;
        &-image {
          width: 40px;
          height: 40px;
          border-radius: 20px;
          object-fit: cover;
          @include themify($themes) {
            border: solid;
            border-width: 0.5px;
            border-color: themed('border');
          }
        }
      }
      &__right {
        float: left;
        width: calc(100% - 48px);
        &-name {
          width: 100%;
          padding-bottom: 8px;
          text-align: left;
          @include FS('FS');
          @include FM('L');
          @include themify($themes) {
            color: themed('string');
          }
        }
        &-chat {
          width: 100%;
          padding-bottom: 8px;
          text-align: left;
          @include FS('FS');
          @include FM('L');
          @include themify($themes) {
            color: themed('string');
          }
        }
      }
    }
  }
}
